Get Subscription
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sub_1ABC123DEF456GHI",
"type": "subscription",
"status": "active",
"cancelAtPeriodEndDisplay": "<string>",
"customer": "cus_ABC123XYZ",
"current_period_start": 1700000000,
"current_period_end": 1702600000,
"created": 1700000000,
"collection_method": "charge_automatically",
"cancel_at_period_end": false,
"canceled_at": 123,
"product": {
"id": "prod_ABC123XYZ",
"name": "Pro Plan"
},
"automatic_tax": false,
"coupon": "",
"agents": "Agent 1, Agent 2",
"pricing": {
"amount": "2999",
"billingCycle": "month",
"currency": "usd",
"pricingModel": "base",
"metrics": "minutes",
"usageLimit": 100,
"overage": "15"
},
"totalPrice": 2999,
"totalUsage": 45.5
}{
"error": "An unexpected error occurred"
}Subscriptions
Get Subscription
Retrieve a single subscription for a connected account.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
subscriptions
/
{subscriptionId}
Get Subscription
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
The Stripe subscription ID
Response
OK
Example:
"sub_1ABC123DEF456GHI"
Example:
"subscription"
Example:
"active"
Example:
"cus_ABC123XYZ"
Example:
1700000000
Example:
1702600000
Example:
1700000000
Example:
"charge_automatically"
Example:
false
Show child attributes
Show child attributes
Example:
false
Example:
""
Example:
"Agent 1, Agent 2"
Show child attributes
Show child attributes
Total price the client will be charged (base price plus usage charges) in the smallest currency unit
Example:
2999
Example:
45.5
